CREATE TABLE cst_perpavg_cost_gt (
    PERPAVG_COST_ID               NUMBER(18, 0),
    TRANSACTION_ID                NUMBER(18, 0)    NOT NULL,
    REC_TRXN_ID                   NUMBER(18, 0)    NOT NULL,
    DEP_TRXN_ID                   NUMBER(18, 0)    NOT NULL,
    COST_ELEMENT_ID               NUMBER(18, 0)    NOT NULL,
    EXPENSE_POOL_ID               NUMBER(18, 0)    NOT NULL,
    EFF_DATE                      TIMESTAMP(6)     NOT NULL,
    COST_DATE                     TIMESTAMP(6)     NOT NULL,
    TRANSACTION_COST_ID           NUMBER(18, 0)    NOT NULL,
    COST_ORG_ID                   NUMBER(18, 0)    NOT NULL,
    COST_BOOK_ID                  NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID             NUMBER(18, 0)    NOT NULL,
    VAL_UNIT_ID                   NUMBER(18, 0)    NOT NULL,
    COST_METHOD_CODE              VARCHAR2(120),
    PROPAGATE_COST_ADJ_FLAG       VARCHAR2(4)  ,
    QUANTITY_ONHAND               NUMBER       ,
    UNIT_COST_ONHAND              NUMBER       ,
    QUANTITY_NEW                  NUMBER       ,
    UNIT_COST_NEW                 NUMBER       ,
    QUANTITY_ADJUST               NUMBER       ,
    UNIT_COST_ADJUST              NUMBER       ,
    CURRENCY_CODE                 VARCHAR2(120)    NOT NULL,
    UOM_CODE                      VARCHAR2(120)    NOT NULL,
    POSTED_FLAG                   VARCHAR2(20) ,
    BASE_TXN_TYPE_ID              NUMBER(18, 0),
    COST_TRANSACTION_TYPE         VARCHAR2(40) ,
    ADDITIONAL_PROCESSING_CODE    VARCHAR2(960),
    COST_DRIVER                   VARCHAR2(120),
    COST_DRIVER_VALUE             NUMBER(18, 0),
    ESTIMATED_RATE                NUMBER       ,
    UNIT_RATE                     NUMBER       ,
    UNIT_COST_AVERAGE             NUMBER       ,
    USE_ITEM_COST_FLAG            VARCHAR2(4)  ,
    ABSORPTION_TYPE               VARCHAR2(120),
    OVERHEAD_ID                   NUMBER(18, 0),
    CREATION_DATE                 TIMESTAMP(6) ,
    CREATED_BY                    VARCHAR2(256),
    LAST_UPDATED_BY               VARCHAR2(256),
    LAST_UPDATE_DATE              TIMESTAMP(6) ,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    COST_CREATION_DATE            TIMESTAMP(6) ,
    CONSIGNED_PO_RECEIPT_FLAG     VARCHAR2(4)  ,
    PERPAVG_COST_ID               NUMBER(18, 0),
    TRANSACTION_ID                NUMBER(18, 0)    NOT NULL,
    REC_TRXN_ID                   NUMBER(18, 0)    NOT NULL,
    DEP_TRXN_ID                   NUMBER(18, 0)    NOT NULL,
    COST_ELEMENT_ID               NUMBER(18, 0)    NOT NULL,
    EXPENSE_POOL_ID               NUMBER(18, 0)    NOT NULL,
    EFF_DATE                      TIMESTAMP(6)     NOT NULL,
    COST_DATE                     TIMESTAMP(6)     NOT NULL,
    TRANSACTION_COST_ID           NUMBER(18, 0)    NOT NULL,
    COST_ORG_ID                   NUMBER(18, 0)    NOT NULL,
    COST_BOOK_ID                  NUMBER(18, 0)    NOT NULL,
    INVENTORY_ITEM_ID             NUMBER(18, 0)    NOT NULL,
    VAL_UNIT_ID                   NUMBER(18, 0)    NOT NULL,
    COST_METHOD_CODE              VARCHAR2(120),
    PROPAGATE_COST_ADJ_FLAG       VARCHAR2(4)  ,
    QUANTITY_ONHAND               NUMBER       ,
    UNIT_COST_ONHAND              NUMBER       ,
    QUANTITY_NEW                  NUMBER       ,
    UNIT_COST_NEW                 NUMBER       ,
    QUANTITY_ADJUST               NUMBER       ,
    UNIT_COST_ADJUST              NUMBER       ,
    CURRENCY_CODE                 VARCHAR2(120)    NOT NULL,
    UOM_CODE                      VARCHAR2(120)    NOT NULL,
    POSTED_FLAG                   VARCHAR2(20) ,
    BASE_TXN_TYPE_ID              NUMBER(18, 0),
    COST_TRANSACTION_TYPE         VARCHAR2(40) ,
    ADDITIONAL_PROCESSING_CODE    VARCHAR2(960),
    COST_DRIVER                   VARCHAR2(120),
    COST_DRIVER_VALUE             NUMBER(18, 0),
    ESTIMATED_RATE                NUMBER       ,
    UNIT_RATE                     NUMBER       ,
    UNIT_COST_AVERAGE             NUMBER       ,
    USE_ITEM_COST_FLAG            VARCHAR2(4)  ,
    ABSORPTION_TYPE               VARCHAR2(120),
    OVERHEAD_ID                   NUMBER(18, 0),
    CREATION_DATE                 TIMESTAMP(6) ,
    CREATED_BY                    VARCHAR2(256),
    LAST_UPDATED_BY               VARCHAR2(256),
    LAST_UPDATE_DATE              TIMESTAMP(6) ,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    COST_CREATION_DATE            TIMESTAMP(6) ,
    CONSIGNED_PO_RECEIPT_FLAG     VARCHAR2(4)  
);
